#
# spec file for package kbproto
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kbproto
Version:        1.0.7
Release:        6.3
Url:            http://xorg.freedesktop.org/
Summary:        The X11 Protocol: X Keyboard extension
License:        HPND
Group:          Development/Libraries/X11

#Git-Clone:	git://anongit.freedesktop.org/xorg/proto/kbproto
#Git-Web:	http://cgit.freedesktop.org/xorg/proto/kbproto/
Source:         http://xorg.freedesktop.org/releases/individual/proto/%name-%version.tar.bz2
#BuildRequires:  autoconf >= 2.60
#BuildRequires:  automake
#BuildRequires:  pkgconfig(xorg-macros) >= 1.3
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Keyboard protocol headers for X11 development.
This extension defines a protcol to provide a number of new
capabilities and controls for text keyboards.

%package devel
Summary:        The X11 Protocol: X Keyboard extension
Group:          Development/Libraries/X11

# Added within the 13.2 Development Cycle
Provides:       xorg-x11-proto-devel:%_libdir/pkgconfig/kbproto.pc

%description devel
The Keyboard protocol headers for X11 development.
This extension defines a protcol to provide a number of new
capabilities and controls for text keyboards.

%prep
%setup -q

%build
#autoreconf -fi
%configure
make %{?_smp_mflags}

%install
make install DESTDIR="%buildroot"

%files devel
%defattr(-,root,root)
%doc COPYING
%doc %_datadir/doc/*
%_includedir/X11/extensions/
%_libdir/pkgconfig/*.pc

%changelog
* Mon May  4 2015 sndirsch@suse.com
- update to release 1.0.7
  * configure: Remove AM_MAINTAINER_MODE
  * Tell clang not to report -Wpadded warnings on public headers we can't fix
  * Add comments about sizes of dynamically allocated arrays
  * Drop WORD64 (Cray) support
  * autogen.sh: Implement GNOME Build API
  * specs: Change XkbSA_DfltBtnAbsolute to 4
  * config: replace deprecated use of AC_OUTPUT with AC_CONFIG_FILES
* Thu Sep 18 2014 jengelh@inai.de
- Update description and other metadata
- Use full %%configure for build, and remove CFLAGS (nothing is
  compiled)
- Make file list more compact
* Tue Apr 29 2014 sndirsch@suse.com
- added COPYING to %%doc
* Tue Apr 29 2014 cfarrell@suse.com
- license update: HPND
  See COPYING
* Thu Apr 24 2014 tobias.johannes.klausmann@mni.thm.de
- Created package kbproto with initial version 1.0.6
